org.codehaus.plexus.compiler.util.scan

## Class InclusionScanException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.codehaus.plexus.compiler.util.scan.InclusionScanException

- All Implemented Interfaces:
    Serializable

      public class InclusionScanException
      extends Exception

  Author:
    jdcasey
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `InclusionScanException(String message)`
    `InclusionScanException(String message, Throwable cause)`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### InclusionScanException

          public InclusionScanException(String message)

    - #### InclusionScanException

          public InclusionScanException(String message,
                                Throwable cause)

Copyright © 2015. All rights reserved.